Package org.eclipse.m2m.atl.adt.ui.viewsupport

## Class ProblemMarkerManager

- java.lang.Object
- - org.eclipse.m2m.atl.adt.ui.viewsupport.ProblemMarkerManager

All Implemented Interfaces:
  `java.util.EventListener`, `org.eclipse.core.resources.IResourceChangeListener`

    public class ProblemMarkerManager
    extends java.lang.Object
    implements org.eclipse.core.resources.IResourceChangeListener

Listens to resource deltas and filters for marker changes of type IMarker.PROBLEM Viewers showing error ticks should register as listener to this type.

### Constructor Summary

Constructors
`ProblemMarkerManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addListener​(IProblemChangedListener listener)` Adds a listener for problem marker changes.
`void` `removeListener​(IProblemChangedListener listener)` Removes a `IProblemChangedListener`.
`void` `resourceChanged​(org.eclipse.core.resources.IResourceChangeEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProblemMarkerManager

    public ProblemMarkerManager()

### Method Detail

#### resourceChanged

    public void resourceChanged​(org.eclipse.core.resources.IResourceChangeEvent event)

Specified by:
  `resourceChanged` in interface `org.eclipse.core.resources.IResourceChangeListener`
See Also:
  `IResourceChangeListener.resourceChanged(org.eclipse.core.resources.IResourceChangeEvent)`

#### addListener

    public void addListener​(IProblemChangedListener listener)

Adds a listener for problem marker changes.

#### removeListener

    public void removeListener​(IProblemChangedListener listener)

Removes a `IProblemChangedListener`.